org.apache.fontbox.ttf.table.common

## Class CoverageTableFormat2

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.CoverageTable
  - - org.apache.fontbox.ttf.table.common.CoverageTableFormat1
    - - org.apache.fontbox.ttf.table.common.CoverageTableFormat2

    public class CoverageTableFormat2
    extends CoverageTableFormat1

This class models the Coverage format 2 in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`CoverageTableFormat2(int coverageFormat, RangeRecord[] rangeRecords)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RangeRecord[]` `getRangeRecords()`
`String` `toString()`

### Methods inherited from class org.apache.fontbox.ttf.table.common.CoverageTableFormat1

`getCoverageIndex, getGlyphArray, getGlyphId, getSize`

### Methods inherited from class org.apache.fontbox.ttf.table.common.CoverageTable

`getCoverageFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoverageTableFormat2

    public CoverageTableFormat2(int coverageFormat,
                                RangeRecord[] rangeRecords)

### Method Detail

#### getRangeRecords

    public RangeRecord[] getRangeRecords()

#### toString

    public String toString()

Overrides:
  `toString` in class `CoverageTableFormat1`